<?php 
class DB {
	protected static $instance;
	protected static $db_info = array(
		'db_host' => 'localhost', // сервер
		'db_port' => '3306', // порт подключения к БД
		'db_user' => 'root', // имя пользователя
		'db_pass' => '',  // пароль
		'db_name' => 'test', // имя базы данных
		'db_charset' => 'UTF-8' // кодировка
	);
	//protected function __construct() {}
	public static function getPdoInstance() {
		if(empty(self::$instance)) {
			try {
				self::$instance = new PDO('mysql:host='.self::$db_info['db_host'].'; port='.self::$db_info['db_port'].'; dbname='.self::$db_info['db_name'], 
				  self::$db_info['db_user'],
				  self::$db_info['db_pass']);
				self::$instance->setAttribute( PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION );
				self::$instance->setAttribute(PDO::ATTR_DEFAULT_FETCH_MODE, PDO::FETCH_ASSOC); 
				self::$instance->query('SET NAMES utf8');
				self::$instance->query('SET CHARACTER SET utf8');
			} catch(PDOException $e) {
				echo 'Ошибка при подключении к БД: ', $e->getMessage();
			}
		}
		return self::$instance;
	}
	public static function getMysqlInstance(){
		if(empty(self::$instance)) {
			try {
				self::$instance = mysql_connect(self::$db_info['db_host'], self::$db_info['db_user'], self::$db_info['db_pass']);
				mysql_select_db(self::$db_info['db_name'], self::$instance);
				mysql_query('SET NAMES ' . self::$db_info['db_charset']);
			} catch(PDOException $e) {
				echo 'Ошибка при подключении к БД: ', $e->getMessage();
			}
		}
		return self::$instance;
		
	}
}